v2

Getting Started

Requests against the SYSCAP API require a valid JWT token in the Authorization header. Here is an example using curl:

curl --request GET \
  --url https://api.syscap.com.mx/promissory_notes \
  --header 'Authorization: Bearer <token>'

You can generate and manage your API tokens from Settings → API pública → Token Generation.

Rate Limits

The token will be valid for 750 requests every 24 hours, with a limit of 150 requests every 3 minutes.

If you exceed these limits, the API will return a 429 Too Many Requests error.

Resources

Investors
Investors Endpoints

Resource Description
GET /investors?page=&per= List of investors
GET /investors/widgets Widgets information for investors
GET /investors/:id Specific investor
GET /investors/:id/promissory_notes?page=&per= Promissory notes from specific investor
GET /investors/:id/statements?page=&per= Statements from specific investor
POST /investors Create a new investor
PUT /investors/:id Update an existing investor
DELETE /investors/:id Delete an investor

Investors Addresses

Resource Description
GET /investors/:investor_id/addresses Addresses from specific investor
GET /investors/:investor_id/addresses/:id Specific address

Contacts
Contacts Endpoints work for two different sources: investors and promoters

Resource Description
GET /investors/:investor_id/contacts?page=&per= Contacts from specific investor
GET /promoters/:promoter_id/contacts?page=&per= Contacts from specific promoter
GET /investors/:investor_id/contacts/:id Specific contact from specific investor
GET /promoters/:promoter_id/contacts/:id Specific contact from specific promoter

Bank Accounts
Bank Accounts Endpoints work for two different sources: investors and promoters

Resource Description
GET /investors/:investor_id/bank_accounts?page=&per= Bank accounts from specific investor
GET /promoters/:promoter_id/bank_accounts?page=&per= Bank accounts from specific promoter
GET /investors/:investor_id/bank_accounts/:id Specific bank account from specific investor
GET /promoters/:promoter_id/bank_accounts/:id Specific bank account from specific promoter

Fiscal Addresses
Fiscal Addresses Endpoints work for two different sources: investors and promoters

Resource Description
GET /investors/:investor_id/fiscal_addresses?page=&per= Fiscal addresses from specific investor
GET /promoters/:promoter_id/fiscal_addresses?page=&per= Fiscal addresses from specific promoter
GET /investors/:investor_id/fiscal_addresses/:id Specific fiscal address from specific investor
GET /promoters/:promoter_id/fiscal_addresses/:id Specific fiscal address from specific promoter

Investors Documentation

Resource Description
GET /investors/:investor_id/documentation Documents from specific investor

Promoters
Promoters Endpoints

Resource Description
GET /promoters?page=&per= List of promoters
GET /promoters/:id Specific promoter
GET /promoters/:id/investors Investors from specific promoter
POST /promoters Create a new promoter
PUT /promoters/:id Update an existing promoter
DELETE /promoters/:id Delete a promoter

Prospects
Prospects Endpoints

Resource Description
GET /prospects?page=&per= List of Prospects
GET /prospects/:id Specific prospect
GET /prospects/:id/prospections Prospections from specific prospect
POST /prospects Create a new prospect
PUT /prospects/:id Update an existing prospect
DELETE /prospects/:id Delete a prospect

Payments
Payments Endpoints

Resource Description
GET /payments?page=&per= List of payments
GET /payments/:id Specific payment

Promissory Notes
Promissory Note Endpoints

Resource Description
GET /promissory_notes?page=&per= List of Promissory Notes
GET /promissory_note/:id Specific promissory note
GET /promissory_notes/:id/fiscal_breakdowns Fiscal breakdowns of a promissory note
POST /promissory_notes/:id/recalculate Trigger recalculation of a promissory note
POST /promissory_notes/calculate_preview_interests Preview interest schedule for a promissory note

Promissory Notes Interests

Resource Description
GET /promissory_note/:promissory_note_id/interests Interests from specific promissory note

Promissory Notes Transactions

Resource Description
GET /promissory_note/:promissory_note_id/transactions Transactions from specific promissory note

Monthly Cuts
Monthly Cuts Endpoints

Resource Description
GET /monthly_cuts?page=&per= List of monthly cuts
GET /monthly_cuts/:id Specific monthly cut
GET /monthly_cuts/:id/amounts Amounts from specific monthly cut
GET /monthly_cuts/:id/analysis Analysis from specific monthly cut

Monthly Cut Statements

Resource Description
GET /monthly_cuts/:monthly_cut_id/statements Statements from specific monthly cut
GET /monthly_cuts/:monthly_cut_id/statements/:id Specific statement

Catalogs

Resource Description
GET /catalogs/countries List of countries
GET /catalogs/banxico_banks List of banxico_banks
GET /catalogs/nationalities List of nationalities
GET /catalogs/currencies List of currencies
GET /catalogs/tiies List of tiies
GET /catalogs/cetes List of cetes
GET /catalogs/libor_usd List of libor_usd
GET /catalogs/exchange_rates List of exchange_rates
GET /catalogs/variable-rates List of variable_rates

CFDIs

Resource Description
GET /cfdis?page=&per= List of CFDIs
GET /cfdis/:id Specific CFDI

Users
Users Endpoints

Resource Description
GET /users?page=&per= List of users
GET /users/:id Specific user

Prospections

Resource Description
GET /prospections?page=&per= List of prospections
GET /prospections/:id Specific prospection
POST /prospections Create a prospection
PUT /prospections/:id Update an existing prospection
DELETE /prospections/:id Delete a prospection
GET /prospections/widgets Prospections widgets information

Dashboards

Resource Description
GET /dashboards/widgets Widgets information for the dashboard

Reports

Resource Description
GET /reports/fiscal_breakdowns Fiscal breakdowns report
GET /reports/mail_logs Mail logs report
GET /reports/movements_friends_family Friends & family movements report
GET /reports/theoretical_debt Theoretical debt report
GET /reports/penalty_interests_by_resource Penalty interests by resource report